IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/12
Addresses2^116
/64 networks2^52
- Network
2350::/12- First address
2350::- Last address
235f:ffff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 83,076,749,736,557,242,056,487,941,267,521,536 (2^116)
- /64 networks (LANs)
- 4,503,599,627,370,496 (2^52)
- Full form
2350:0000:0000:0000:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
5.3.2.ip6.arpa
Split into smaller subnets
2350::/12 makes 4,096 subnets of /24; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2350::/24 | 2350:ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | 2350:100::/24 | 2350:1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | 2350:200::/24 | 2350:2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | 2350:300::/24 | 2350:3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | 2350:400::/24 | 2350:4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | 2350:500::/24 | 2350:5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | 2350:600::/24 | 2350:6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | 2350:700::/24 | 2350:7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | 2350:800::/24 | 2350:8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | 2350:900::/24 | 2350:9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | 2350:a00::/24 | 2350:aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | 2350:b00::/24 | 2350:bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | 2350:c00::/24 | 2350:cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | 2350:d00::/24 | 2350:dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | 2350:e00::/24 | 2350:eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | 2350:f00::/24 | 2350:fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | 2350:1000::/24 | 2350:10ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | 2350:1100::/24 | 2350:11ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | 2350:1200::/24 | 2350:12ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | 2350:1300::/24 | 2350:13ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | 2350:1400::/24 | 2350:14ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | 2350:1500::/24 | 2350:15ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | 2350:1600::/24 | 2350:16ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | 2350:1700::/24 | 2350:17ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | 2350:1800::/24 | 2350:18ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | 2350:1900::/24 | 2350:19ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | 2350:1a00::/24 | 2350:1aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | 2350:1b00::/24 | 2350:1bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | 2350:1c00::/24 | 2350:1cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | 2350:1d00::/24 | 2350:1dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | 2350:1e00::/24 | 2350:1eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | 2350:1f00::/24 | 2350:1fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | 2350:2000::/24 | 2350:20ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | 2350:2100::/24 | 2350:21ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | 2350:2200::/24 | 2350:22ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | 2350:2300::/24 | 2350:23ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | 2350:2400::/24 | 2350:24ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | 2350:2500::/24 | 2350:25ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | 2350:2600::/24 | 2350:26ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | 2350:2700::/24 | 2350:27ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | 2350:2800::/24 | 2350:28ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | 2350:2900::/24 | 2350:29ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | 2350:2a00::/24 | 2350:2aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | 2350:2b00::/24 | 2350:2bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | 2350:2c00::/24 | 2350:2cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | 2350:2d00::/24 | 2350:2dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | 2350:2e00::/24 | 2350:2eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | 2350:2f00::/24 | 2350:2fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | 2350:3000::/24 | 2350:30ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | 2350:3100::/24 | 2350:31ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | 2350:3200::/24 | 2350:32ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | 2350:3300::/24 | 2350:33ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | 2350:3400::/24 | 2350:34ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | 2350:3500::/24 | 2350:35ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | 2350:3600::/24 | 2350:36ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | 2350:3700::/24 | 2350:37ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | 2350:3800::/24 | 2350:38ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | 2350:3900::/24 | 2350:39ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | 2350:3a00::/24 | 2350:3aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | 2350:3b00::/24 | 2350:3bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | 2350:3c00::/24 | 2350:3cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | 2350:3d00::/24 | 2350:3dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | 2350:3e00::/24 | 2350:3eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | 2350:3f00::/24 | 2350:3fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | 2350:4000::/24 | 2350:40ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | 2350:4100::/24 | 2350:41ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | 2350:4200::/24 | 2350:42ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | 2350:4300::/24 | 2350:43ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | 2350:4400::/24 | 2350:44ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | 2350:4500::/24 | 2350:45ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | 2350:4600::/24 | 2350:46ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | 2350:4700::/24 | 2350:47ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | 2350:4800::/24 | 2350:48ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | 2350:4900::/24 | 2350:49ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | 2350:4a00::/24 | 2350:4aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | 2350:4b00::/24 | 2350:4bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | 2350:4c00::/24 | 2350:4cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | 2350:4d00::/24 | 2350:4dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | 2350:4e00::/24 | 2350:4eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | 2350:4f00::/24 | 2350:4fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | 2350:5000::/24 | 2350:50ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | 2350:5100::/24 | 2350:51ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | 2350:5200::/24 | 2350:52ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | 2350:5300::/24 | 2350:53ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | 2350:5400::/24 | 2350:54ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | 2350:5500::/24 | 2350:55ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | 2350:5600::/24 | 2350:56ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | 2350:5700::/24 | 2350:57ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | 2350:5800::/24 | 2350:58ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | 2350:5900::/24 | 2350:59ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | 2350:5a00::/24 | 2350:5aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | 2350:5b00::/24 | 2350:5bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | 2350:5c00::/24 | 2350:5cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | 2350:5d00::/24 | 2350:5dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | 2350:5e00::/24 | 2350:5eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | 2350:5f00::/24 | 2350:5fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | 2350:6000::/24 | 2350:60ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | 2350:6100::/24 | 2350:61ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | 2350:6200::/24 | 2350:62ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | 2350:6300::/24 | 2350:63ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | 2350:6400::/24 | 2350:64ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | 2350:6500::/24 | 2350:65ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | 2350:6600::/24 | 2350:66ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | 2350:6700::/24 | 2350:67ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | 2350:6800::/24 | 2350:68ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | 2350:6900::/24 | 2350:69ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | 2350:6a00::/24 | 2350:6aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | 2350:6b00::/24 | 2350:6bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | 2350:6c00::/24 | 2350:6cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | 2350:6d00::/24 | 2350:6dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | 2350:6e00::/24 | 2350:6eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | 2350:6f00::/24 | 2350:6fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | 2350:7000::/24 | 2350:70ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | 2350:7100::/24 | 2350:71ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | 2350:7200::/24 | 2350:72ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | 2350:7300::/24 | 2350:73ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | 2350:7400::/24 | 2350:74ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | 2350:7500::/24 | 2350:75ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | 2350:7600::/24 | 2350:76ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | 2350:7700::/24 | 2350:77ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | 2350:7800::/24 | 2350:78ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | 2350:7900::/24 | 2350:79ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | 2350:7a00::/24 | 2350:7aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | 2350:7b00::/24 | 2350:7bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | 2350:7c00::/24 | 2350:7cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | 2350:7d00::/24 | 2350:7dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | 2350:7e00::/24 | 2350:7eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | 2350:7f00::/24 | 2350:7fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | 2350:8000::/24 | 2350:80ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | 2350:8100::/24 | 2350:81ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | 2350:8200::/24 | 2350:82ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | 2350:8300::/24 | 2350:83ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | 2350:8400::/24 | 2350:84ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | 2350:8500::/24 | 2350:85ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | 2350:8600::/24 | 2350:86ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | 2350:8700::/24 | 2350:87ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | 2350:8800::/24 | 2350:88ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | 2350:8900::/24 | 2350:89ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | 2350:8a00::/24 | 2350:8aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | 2350:8b00::/24 | 2350:8bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | 2350:8c00::/24 | 2350:8cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | 2350:8d00::/24 | 2350:8dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | 2350:8e00::/24 | 2350:8eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | 2350:8f00::/24 | 2350:8fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | 2350:9000::/24 | 2350:90ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | 2350:9100::/24 | 2350:91ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | 2350:9200::/24 | 2350:92ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | 2350:9300::/24 | 2350:93ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | 2350:9400::/24 | 2350:94ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | 2350:9500::/24 | 2350:95ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | 2350:9600::/24 | 2350:96ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | 2350:9700::/24 | 2350:97ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | 2350:9800::/24 | 2350:98ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | 2350:9900::/24 | 2350:99ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | 2350:9a00::/24 | 2350:9aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | 2350:9b00::/24 | 2350:9bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | 2350:9c00::/24 | 2350:9cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | 2350:9d00::/24 | 2350:9dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | 2350:9e00::/24 | 2350:9eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | 2350:9f00::/24 | 2350:9fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | 2350:a000::/24 | 2350:a0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | 2350:a100::/24 | 2350:a1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | 2350:a200::/24 | 2350:a2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | 2350:a300::/24 | 2350:a3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | 2350:a400::/24 | 2350:a4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | 2350:a500::/24 | 2350:a5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | 2350:a600::/24 | 2350:a6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | 2350:a700::/24 | 2350:a7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | 2350:a800::/24 | 2350:a8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | 2350:a900::/24 | 2350:a9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | 2350:aa00::/24 | 2350:aaff:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | 2350:ab00::/24 | 2350:abff:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | 2350:ac00::/24 | 2350:acff:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | 2350:ad00::/24 | 2350:adff:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | 2350:ae00::/24 | 2350:aeff:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | 2350:af00::/24 | 2350:afff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | 2350:b000::/24 | 2350:b0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | 2350:b100::/24 | 2350:b1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | 2350:b200::/24 | 2350:b2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | 2350:b300::/24 | 2350:b3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | 2350:b400::/24 | 2350:b4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | 2350:b500::/24 | 2350:b5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | 2350:b600::/24 | 2350:b6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | 2350:b700::/24 | 2350:b7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | 2350:b800::/24 | 2350:b8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | 2350:b900::/24 | 2350:b9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | 2350:ba00::/24 | 2350:baff:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | 2350:bb00::/24 | 2350:bbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | 2350:bc00::/24 | 2350:bcff:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | 2350:bd00::/24 | 2350:bdff:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | 2350:be00::/24 | 2350:beff:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | 2350:bf00::/24 | 2350:bfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | 2350:c000::/24 | 2350:c0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | 2350:c100::/24 | 2350:c1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | 2350:c200::/24 | 2350:c2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | 2350:c300::/24 | 2350:c3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | 2350:c400::/24 | 2350:c4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | 2350:c500::/24 | 2350:c5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | 2350:c600::/24 | 2350:c6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | 2350:c700::/24 | 2350:c7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | 2350:c800::/24 | 2350:c8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | 2350:c900::/24 | 2350:c9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | 2350:ca00::/24 | 2350:caff:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | 2350:cb00::/24 | 2350:cbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | 2350:cc00::/24 | 2350:ccff:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | 2350:cd00::/24 | 2350:cdff:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | 2350:ce00::/24 | 2350:ceff:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | 2350:cf00::/24 | 2350:cfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | 2350:d000::/24 | 2350:d0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | 2350:d100::/24 | 2350:d1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | 2350:d200::/24 | 2350:d2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | 2350:d300::/24 | 2350:d3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | 2350:d400::/24 | 2350:d4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | 2350:d500::/24 | 2350:d5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | 2350:d600::/24 | 2350:d6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | 2350:d700::/24 | 2350:d7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | 2350:d800::/24 | 2350:d8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | 2350:d900::/24 | 2350:d9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | 2350:da00::/24 | 2350:daff:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | 2350:db00::/24 | 2350:dbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | 2350:dc00::/24 | 2350:dcff:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | 2350:dd00::/24 | 2350:ddff:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | 2350:de00::/24 | 2350:deff:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | 2350:df00::/24 | 2350:dfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | 2350:e000::/24 | 2350:e0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | 2350:e100::/24 | 2350:e1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | 2350:e200::/24 | 2350:e2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | 2350:e300::/24 | 2350:e3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | 2350:e400::/24 | 2350:e4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | 2350:e500::/24 | 2350:e5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | 2350:e600::/24 | 2350:e6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | 2350:e700::/24 | 2350:e7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | 2350:e800::/24 | 2350:e8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | 2350:e900::/24 | 2350:e9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | 2350:ea00::/24 | 2350:eaff:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | 2350:eb00::/24 | 2350:ebff:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | 2350:ec00::/24 | 2350:ecff:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | 2350:ed00::/24 | 2350:edff:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | 2350:ee00::/24 | 2350:eeff:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | 2350:ef00::/24 | 2350:efff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | 2350:f000::/24 | 2350:f0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | 2350:f100::/24 | 2350:f1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | 2350:f200::/24 | 2350:f2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | 2350:f300::/24 | 2350:f3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | 2350:f400::/24 | 2350:f4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | 2350:f500::/24 | 2350:f5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | 2350:f600::/24 | 2350:f6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | 2350:f700::/24 | 2350:f7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | 2350:f800::/24 | 2350:f8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | 2350:f900::/24 | 2350:f9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | 2350:fa00::/24 | 2350:faff:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | 2350:fb00::/24 | 2350:fbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | 2350:fc00::/24 | 2350:fcff:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | 2350:fd00::/24 | 2350:fdff:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | 2350:fe00::/24 | 2350:feff:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | 2350:ff00::/24 | 2350:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |